package de.ozgcloud.vorgang.statistic;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

class CountByPathTest {

	@Test
	void shouldSetFieldPath() {
		var countByPath = CountByPath.fromStatisticRequest(VorgangStatisticRequestTestFactory.create());

		assertThat(countByPath.getFieldPath()).isEqualTo(VorgangStatisticRequestTestFactory.REQUEST_FIELD_PATH);
	}

	@Test
	void shouldSetAlias() {
		var countByPath = CountByPath.fromStatisticRequest(VorgangStatisticRequestTestFactory.create());

		assertThat(countByPath.getAlias()).isEqualTo(VorgangStatisticRequestTestFactory.RESULT_NAME);
	}

}